Bug 1627459 - Include GNOME 3.30.0 in Fedora 29 Beta
Summary: Include GNOME 3.30.0 in Fedora 29 Beta
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-09-10 15:50 UTC by Kalev Lember
Modified: 2018-09-12 02:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-12 02:55:20 UTC


Attachments (Terms of Use)

Description Kalev Lember 2018-09-10 15:50:16 UTC
This is a bureaucracy bug: I'm filing it to propose it for a Fedora 29 Beta freeze exception. GNOME 3.30.0 is built and an update submitted: https://bodhi.fedoraproject.org/updates/FEDORA-2018-85d637c544 . The question is whether it makes sense to pull it into Fedora 29 Beta or not.

With my Workstation WG hat on, we'd very much like to get 3.30.0 into Beta so that we can get as much testing as possible and fix as many issues as possible ahead of the Final freeze. There's always a chance of regressions; I'm confident the Desktop team can timely track down any regressions that might be blocker bugs for Beta. I'm running point on triaging regressions in the megaupdate.

We had a Workstation WG meeting earlier today (https://meetbot.fedoraproject.org/fedora-meeting-2/2018-09-10/workstation.2018-09-10-13.01.log.html for logs, it's the first discussion item there) and the guidance from Workstation WG was:

  * AGREED: Workstation WG would like to see the GNOME 3.30.0 megaupdate
    land in F29 beta (+1:5, 0:0, -1:0)  (kalev, 13:24:01)
  * ACTION: Kalev to ask for a 3.30.0 megaupdate freeze exception
    (kalev, 13:26:51)

Comment 1 Adam Williamson 2018-09-10 19:33:04 UTC
Discussed at 2018-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-blocker-review.2018-09-10-16.01.html . We agreed that it's sub-optimal to take this so late, but it's really the only choice that makes sense. The only other options are:

i) Ship Beta as-is (with a mix of 3.28 and different stages of 3.29 builds), but Final with 3.30 or later

ii) Reject 3.30 from F29 entirely, and release with the mix of 3.28 and 3.29 components

iii) Reject 3.30 from F29 entirely, and downgrade to 3.28 for release

None of those options seems to make much sense to us. We think taking 3.30 for Beta and slipping if problems appear seems to be the least bad choice, so this is accepted as a freeze exception issue and the mega-update will be pushed to stable.

Comment 2 Fedora Update System 2018-09-11 09:33:30 UTC
abattis-cantarell-fonts-0.111-1.fc29 adwaita-icon-theme-3.30.0-1.fc29 aisleriot-3.22.6-1.fc29 amtk-5.0.0-2.fc29 anjuta-3.28.0-7.fc29 at-spi2-atk-2.30.0-1.fc29 at-spi2-core-2.30.0-2.fc29 atk-2.30.0-1.fc29 atomix-3.30.0.1-1.fc29 baobab-3.30.0-1.fc29 bijiben-3.30.0-1.fc29 cheese-3.30.0-2.fc29 dconf-0.30.0-1.fc29 dconf-editor-3.30.0-1.fc29 devhelp-3.30.0-2.fc29 epiphany-3.30.0-1.fc29 evince-3.30.0-2.fc29 file-roller-3.30.0-1.fc29 five-or-more-3.30.0-1.fc29 gdk-pixbuf2-2.38.0-4.fc29 gdm-3.30.0-3.fc29 gedit-3.30.0-2.fc29 gedit-plugins-3.30.0-1.fc29 gjs-1.54.0-2.fc29 glib-networking-2.58.0-2.fc29 glib2-2.58.0-1.fc29 gnome-2048-3.30.0-1.fc29 gnome-backgrounds-3.30.0-1.fc29 gnome-boxes-3.30.0-2.fc29 gnome-builder-3.30.0-2.fc29 gnome-calculator-3.30.0-1.fc29 gnome-calendar-3.30.0-1.fc29 gnome-characters-3.29.91-1.fc29 gnome-chess-3.30.0-1.fc29 gnome-clocks-3.30.0-2.fc29 gnome-color-manager-3.30.0-1.fc29 gnome-contacts-3.30-1.fc29 gnome-control-center-3.30.0-1.fc29 gnome-desktop3-3.30.0-2.fc29 gnome-disk-utility-3.30.0-1.fc29 gnome-font-viewer-3.30.0-1.fc29 gnome-getting-started-docs-3.30.0-1.fc29 gnome-initial-setup-3.29.92-1.fc29 gnome-logs-3.30.0-1.fc29 gnome-maps-3.30.0-1.fc29 gnome-mines-3.30.0-1.fc29 gnome-multi-writer-3.30.0-1.fc29 gnome-music-3.30.0-1.fc29 gnome-nibbles-3.24.1-1.fc29 gnome-online-accounts-3.30.0-3.fc29 gnome-online-miners-3.30.0-1.fc29 gnome-packagekit-3.30.0-1.fc29 gnome-photos-3.30.0-1.fc29 gnome-power-manager-3.30.0-1.fc29 gnome-screenshot-3.30.0-1.fc29 gnome-session-3.30.0-1.fc29 gnome-settings-daemon-3.30.0-1.fc29 gnome-shell-3.30.0-1.fc29 gnome-shell-extensions-3.30.0-1.fc29 gnome-software-3.30.0-1.fc29 gnome-sudoku-3.30.0-2.fc29 gnome-taquin-3.30.0-1.fc29 gnome-tweaks-3.30.0-1.fc29 gnome-user-docs-3.30.0-1.fc29 gobject-introspection-1.58.0-2.fc29 gpaste-3.30.1-1.fc29 gsettings-desktop-schemas-3.28.1-2.fc29 gtk-doc-1.29-1.fc29 gtk3-3.24.0-4.fc29 gtksourceview3-3.24.9-4.fc29 gtksourceview4-4.0.3-2.fc29 gucharmap-11.0.2-2.fc29 gvfs-1.38.0-1.fc29 iagno-3.30.0-1.fc29 jsonrpc-glib-3.30.0-2.fc29 libdazzle-3.30.0-1.fc29 librsvg2-2.44.2-2.fc29 libsoup-2.64.0-2.fc29 lightsoff-3.30.0-1.fc29 mozjs60-60.1.0-1.fc29 mutter-3.30.0-1.fc29 nautilus-3.30.0-2.fc29 orca-3.29.92-1.fc29 polari-3.30.0-1.fc29 pyatspi-2.30.0-1.fc29 pygobject3-3.30.0-1.fc29 rygel-0.36.2-2.fc29 seahorse-3.30-1.fc29 shotwell-0.29.92-1.fc29 simple-scan-3.30.0-1.fc29 sushi-3.30.0-1.fc29 swell-foop-3.30.0-1.fc29 sysprof-3.30.0-1.fc29 template-glib-3.30.0-2.fc29 tracker-2.1.4-3.fc29 tracker-miners-2.1.4-2.fc29 vala-0.42.0-1.fc29 webkit2gtk3-2.22.0-3.fc29 yelp-3.30.0-1.fc29 yelp-xsl-3.30.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85d637c544

Comment 3 Fedora Update System 2018-09-12 02:55:20 UTC
abattis-cantarell-fonts-0.111-1.fc29, adwaita-icon-theme-3.30.0-1.fc29, aisleriot-3.22.6-1.fc29, amtk-5.0.0-2.fc29, anjuta-3.28.0-7.fc29, at-spi2-atk-2.30.0-1.fc29, at-spi2-core-2.30.0-2.fc29, atk-2.30.0-1.fc29, atomix-3.30.0.1-1.fc29, baobab-3.30.0-1.fc29, bijiben-3.30.0-1.fc29, cheese-3.30.0-2.fc29, dconf-0.30.0-1.fc29, dconf-editor-3.30.0-1.fc29, devhelp-3.30.0-2.fc29, epiphany-3.30.0-1.fc29, evince-3.30.0-2.fc29, file-roller-3.30.0-1.fc29, five-or-more-3.30.0-1.fc29, gdk-pixbuf2-2.38.0-4.fc29, gdm-3.30.0-3.fc29, gedit-3.30.0-2.fc29, gedit-plugins-3.30.0-1.fc29, gjs-1.54.0-2.fc29, glib-networking-2.58.0-2.fc29, glib2-2.58.0-1.fc29, gnome-2048-3.30.0-1.fc29, gnome-backgrounds-3.30.0-1.fc29, gnome-boxes-3.30.0-2.fc29, gnome-builder-3.30.0-2.fc29, gnome-calculator-3.30.0-1.fc29, gnome-calendar-3.30.0-1.fc29, gnome-characters-3.29.91-1.fc29, gnome-chess-3.30.0-1.fc29, gnome-clocks-3.30.0-2.fc29, gnome-color-manager-3.30.0-1.fc29, gnome-contacts-3.30-1.fc29, gnome-control-center-3.30.0-1.fc29, gnome-desktop3-3.30.0-2.fc29, gnome-disk-utility-3.30.0-1.fc29, gnome-font-viewer-3.30.0-1.fc29, gnome-getting-started-docs-3.30.0-1.fc29, gnome-initial-setup-3.29.92-1.fc29, gnome-logs-3.30.0-1.fc29, gnome-maps-3.30.0-1.fc29, gnome-mines-3.30.0-2.fc29, gnome-multi-writer-3.30.0-1.fc29, gnome-music-3.30.0-1.fc29, gnome-nibbles-3.24.1-1.fc29, gnome-online-accounts-3.30.0-3.fc29, gnome-online-miners-3.30.0-1.fc29, gnome-packagekit-3.30.0-1.fc29, gnome-photos-3.30.0-1.fc29, gnome-power-manager-3.30.0-1.fc29, gnome-screenshot-3.30.0-1.fc29, gnome-session-3.30.0-1.fc29, gnome-settings-daemon-3.30.0-1.fc29, gnome-shell-3.30.0-1.fc29, gnome-shell-extensions-3.30.0-1.fc29, gnome-software-3.30.0-1.fc29, gnome-sudoku-3.30.0-2.fc29, gnome-taquin-3.30.0-1.fc29, gnome-tweaks-3.30.0-1.fc29, gnome-user-docs-3.30.0-1.fc29, gobject-introspection-1.58.0-2.fc29, gpaste-3.30.1-1.fc29, gsettings-desktop-schemas-3.28.1-2.fc29, gtk-doc-1.29-1.fc29, gtk3-3.24.0-4.fc29, gtksourceview3-3.24.9-4.fc29, gtksourceview4-4.0.3-2.fc29, gucharmap-11.0.2-2.fc29, gvfs-1.38.0-1.fc29, iagno-3.30.0-1.fc29, jsonrpc-glib-3.30.0-2.fc29, libdazzle-3.30.0-1.fc29, librsvg2-2.44.2-2.fc29, libsoup-2.64.0-2.fc29, lightsoff-3.30.0-1.fc29, mozjs60-60.1.0-1.fc29, mutter-3.30.0-1.fc29, nautilus-3.30.0-2.fc29, orca-3.29.92-1.fc29, polari-3.30.0-1.fc29, pyatspi-2.30.0-1.fc29, pygobject3-3.30.0-1.fc29, rygel-0.36.2-2.fc29, seahorse-3.30-1.fc29, shotwell-0.29.92-1.fc29, simple-scan-3.30.0-1.fc29, sushi-3.30.0-1.fc29, swell-foop-3.30.0-1.fc29, sysprof-3.30.0-1.fc29, template-glib-3.30.0-2.fc29, tracker-2.1.4-3.fc29, tracker-miners-2.1.4-2.fc29, vala-0.42.0-1.fc29, webkit2gtk3-2.22.0-3.fc29, yelp-3.30.0-1.fc29, yelp-xsl-3.30.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.